Package pyplusplus :: Package code_creators :: Module calldef :: Class static_method_t

# type static_method_t

source code

      declaration_based.declaration_based_t --+
                                              |
                             object --+       |
                                      |       |
            code_creator.code_creator_t --+   |
                                          |   |
    registration_based.registration_based_t --+
                                              |
                                             static_method_t

Creates boost.python code that expose member function as static function.

Instance Methods

__init__(self, function, function_code_creator=None) Constructor. | source code

Inherited from `declaration_based.declaration_based_t`: `get_user_headers` Inherited from `code_creator.code_creator_t`: `beautify`, `create`, `get_system_headers`

Static Methods
Inherited from `code_creator.code_creator_t`: `indent`, `is_comment`, `unindent`, `unique_headers`

Class Variables
Inherited from `code_creator.code_creator_t`: `LINE_LENGTH`, `PARAM_SEPARATOR`, `PYPLUSPLUS_NS_NAME`

Properties
| function_code_creator
Inherited from `declaration_based.declaration_based_t`: `alias`, `decl_identifier`, `declaration`, `documentation` Inherited from `registration_based.registration_based_t`: `associated_decl_creators` Inherited from `code_creator.code_creator_t`: `parent`, `target_configuration`, `top_parent`, `works_on_instance`

Method Details

### __init__(self, function, function_code_creator=None)
(Constructor)

source code

Constructor.

Parameters:
  - `declaration` - Declaration object
  - `parent` - Parent code creator.
Overrides: code_creator.code_creator_t.__init__
  (inherited documentation)

Property Details

### function_code_creator

Get Method:
  _get_function_code_creator(self)
Set Method:
  _set_function_code_creator(self, new_function_code_creator)